Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class GifBuilder

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.GifBuilder

public class GifBuilder
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `GifBuilder()`
`protected` | `GifBuilder(int i)`

Method Summary
`void` | `build(Buffer buffer, Buffer buffer1)`
`void` | `buildImageMap(boolean flag, int i, Buffer buffer, Buffer buffer1, java.lang.String s)`
`protected void` | `finalize()`
`boolean` | `getAnimated()`
`boolean` | `getColorOptimization()`
`boolean` | `getDimensions(int[] ai, int[] ai1)`
`boolean` | `getDither()`
`int` | `getDitherType()`
`int` | `getFirstFrame()`
`boolean` | `getGradient()`
`boolean` | `getInterlace()`
`int` | `getLastFrame()`
`int` | `getLoopCount()`
`boolean` | `getSmooth()`
`boolean` | `getTransparent()`
`boolean` | `getTransparentSmart()`
`int` | `getTransparentThreshold()`
`void` | `release()`
`void` | `setAnimated(boolean flag)`
`void` | `setColorOptimization(boolean flag)`
`void` | `setDimensions(int i, int j)`
`void` | `setDither(boolean flag)`
`void` | `setDitherType(int i)`
`void` | `setExactFit(boolean flag)`
`void` | `setFilePalette(java.lang.String s)`
`void` | `setFirstFrame(int i)`
`void` | `setGradient(boolean flag)`
`void` | `setInterlace(boolean flag)`
`void` | `setLastFrame(int i)`
`void` | `setLoopCount(int i)`
`void` | `setMaxColors(int i)`
`void` | `setPaletteType(int i)`
`void` | `setQuality(boolean flag)`
`void` | `setSerial(Serial serial)`
`void` | `setSmooth(boolean flag)`
`void` | `setTransparent(boolean flag)`
`void` | `setTransparentSmart(boolean flag)`
`void` | `setTransparentThreshold(int i)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GifBuilder

    public GifBuilder()
               throws GeneratorApiException

### GifBuilder

    protected GifBuilder(int i)
                  throws GeneratorApiException

Method Detail

### build

    public void build(Buffer buffer,
                      Buffer buffer1)
               throws GeneratorApiException

### buildImageMap

    public void buildImageMap(boolean flag,
                              int i,
                              Buffer buffer,
                              Buffer buffer1,
                              java.lang.String s)
                       throws GeneratorApiException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getAnimated

    public boolean getAnimated()
                        throws GeneratorApiException

### getColorOptimization

    public boolean getColorOptimization()
                                 throws GeneratorApiException

### getDimensions

    public boolean getDimensions(int[] ai,
                                 int[] ai1)
                          throws GeneratorApiException

### getDither

    public boolean getDither()
                      throws GeneratorApiException

### getDitherType

    public int getDitherType()
                      throws GeneratorApiException

### getFirstFrame

    public int getFirstFrame()
                      throws GeneratorApiException

### getGradient

    public boolean getGradient()
                        throws GeneratorApiException

### getInterlace

    public boolean getInterlace()
                         throws GeneratorApiException

### getLastFrame

    public int getLastFrame()
                     throws GeneratorApiException

### getLoopCount

    public int getLoopCount()
                     throws GeneratorApiException

### getSmooth

    public boolean getSmooth()
                      throws GeneratorApiException

### getTransparent

    public boolean getTransparent()
                           throws GeneratorApiException

### getTransparentSmart

    public boolean getTransparentSmart()
                                throws GeneratorApiException

### getTransparentThreshold

    public int getTransparentThreshold()
                                throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setAnimated

    public void setAnimated(boolean flag)
                     throws GeneratorApiException

### setColorOptimization

    public void setColorOptimization(boolean flag)
                              throws GeneratorApiException

### setDimensions

    public void setDimensions(int i,
                              int j)
                       throws GeneratorApiException

### setDither

    public void setDither(boolean flag)
                   throws GeneratorApiException

### setDitherType

    public void setDitherType(int i)
                       throws GeneratorApiException

### setExactFit

    public void setExactFit(boolean flag)
                     throws GeneratorApiException

### setFilePalette

    public void setFilePalette(java.lang.String s)
                        throws GeneratorApiException

### setFirstFrame

    public void setFirstFrame(int i)
                       throws GeneratorApiException

### setGradient

    public void setGradient(boolean flag)
                     throws GeneratorApiException

### setInterlace

    public void setInterlace(boolean flag)
                      throws GeneratorApiException

### setLastFrame

    public void setLastFrame(int i)
                      throws GeneratorApiException

### setLoopCount

    public void setLoopCount(int i)
                      throws GeneratorApiException

### setMaxColors

    public void setMaxColors(int i)
                      throws GeneratorApiException

### setPaletteType

    public void setPaletteType(int i)
                        throws GeneratorApiException

### setQuality

    public void setQuality(boolean flag)
                    throws GeneratorApiException

### setSerial

    public void setSerial(Serial serial)
                   throws GeneratorApiException

### setSmooth

    public void setSmooth(boolean flag)
                   throws GeneratorApiException

### setTransparent

    public void setTransparent(boolean flag)
                        throws GeneratorApiException

### setTransparentSmart

    public void setTransparentSmart(boolean flag)
                             throws GeneratorApiException

### setTransparentThreshold

    public void setTransparentThreshold(int i)
                                 throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD